package com.jpsoft.shinestar.modules.base.dao;

import com.jpsoft.shinestar.modules.base.entity.GoodsInfo;
import com.jpsoft.shinestar.modules.common.dto.Sort;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @author 墨鱼_mo
 * @date 2020-7-6 9:26
 */
@Repository
public interface GoodsInfoDAO {
    int insert(GoodsInfo entity);
    int update(GoodsInfo entity);
    int exist(String id);
    GoodsInfo get(String id);
    int delete(String id);
    List<GoodsInfo> list();
    List<GoodsInfo> findByType(String type);
    List<String> findBySearch(@Param("searchParams") Map<String, Object> searchParams);
    List<GoodsInfo> search(Map<String, Object> searchParams, List<Sort> sortList);
}
